Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class StatefulSessionEnterpriseContext

    java.lang.Object
      |
      +--org.jboss.ejb.EnterpriseContext
            |
            +--org.jboss.ejb.StatefulSessionEnterpriseContext

All Implemented Interfaces:
  java.io.Serializable

public class StatefulSessionEnterpriseContext
extends EnterpriseContext
implements java.io.Serializable

Version:
  $Revision: 1.10.4.1 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Daniel OConnor (docodan@mvcsoft.com)
See Also:
  , Serialized Form

Inner Class Summary
`protected class` | `StatefulSessionEnterpriseContext.StatefulSessionContextImpl`

Inner classes inherited from class org.jboss.ejb.EnterpriseContext
`EnterpriseContext.EJBContextImpl, EnterpriseContext.UserTransactionImpl`

Fields inherited from class org.jboss.ejb.EnterpriseContext
`log`

Constructor Summary
`StatefulSessionEnterpriseContext(java.lang.Object instance, Container con)`

Method Summary
`void` | `discard()`
`javax.ejb.EJBContext` | `getEJBContext()` Get the EJBContext object
`javax.ejb.EJBLocalObject` | `getEJBLocalObject()`
`javax.ejb.EJBObject` | `getEJBObject()`
`javax.ejb.SessionContext` | `getSessionContext()`
`void` | `setEJBLocalObject(javax.ejb.EJBLocalObject eo)`
`void` | `setEJBObject(javax.ejb.EJBObject eo)`
`void` | `setInstance(java.lang.Object instance)`

Methods inherited from class org.jboss.ejb.EnterpriseContext
`clear, getContainer, getId, getInstance, getTransaction, getTxLock, isLocked, lock, setId, setPrincipal, setTransaction, unlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatefulSessionEnterpriseContext

    public StatefulSessionEnterpriseContext(java.lang.Object instance,
                                            Container con)
                                     throws java.rmi.RemoteException

Method Detail

### discard

    public void discard()
                 throws java.rmi.RemoteException

  Overrides:
    `discard` in class `EnterpriseContext`

### getEJBContext

    public javax.ejb.EJBContext getEJBContext()

  Description copied from class: `EnterpriseContext`
  Get the EJBContext object
  Overrides:
    `getEJBContext` in class `EnterpriseContext`

### setInstance

    public void setInstance(java.lang.Object instance)

### setEJBObject

    public void setEJBObject(javax.ejb.EJBObject eo)

### getEJBObject

    public javax.ejb.EJBObject getEJBObject()

### setEJBLocalObject

    public void setEJBLocalObject(javax.ejb.EJBLocalObject eo)

### getEJBLocalObject

    public javax.ejb.EJBLocalObject getEJBLocalObject()

### getSessionContext

    public javax.ejb.SessionContext getSessionContext()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.